Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/radar/early_fraud_warnings

List all early fraud warnings

Returns a list of early fraud warnings.

Request parameters

ParameterLocationTypeDescription
chargequerystringOnly return early fraud warnings for the charge specified by this charge ID.
createdqueryone of multiple schemasOnly return early fraud warnings that were created during the given date interval.
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
payment_intentquerystringOnly return early fraud warnings for charges that were created by the PaymentIntent specified by this PaymentIntent ID.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of radar.early_fraud_warning
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/radar/payment_evaluations

Create a Payment Evaluation

Request a Radar API fraud risk score from Stripe for a payment before sending it for external processor authorization.

Request parameters

FieldTypeDescription
client_device_metadata_detailsobjectDetails about the Client Device Metadata to associate with the payment evaluation.
customer_details requiredobjectDetails about the customer associated with the payment evaluation.
expandarray of stringSpecifies which fields in the response should be expanded.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
payment_details requiredobjectDetails about the payment.

Responses

HTTP 200: Successful response.
FieldTypeDescription
client_device_metadata_detailsinsights_resources_payment_evaluation_client_device_metadata
created_at requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
customer_detailsinsights_resources_payment_evaluation_customer_details
events requiredarray of insights_resources_payment_evaluation_eventEvent information associated with the payment evaluation, such as refunds, dispute, early fraud warnings, or user interventions.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
object requiredstringString representing the object's type. Objects of the same type share the same value.
outcomeone of multiple schemasIndicates the final outcome for the payment evaluation.
payment_detailsinsights_resources_payment_evaluation_payment_details
recommended_action requiredstringRecommended action based on the score of the `fraudulent_payment` signal. Possible values are `block`, `continue` and `request_three_d_secure`.
signals requiredinsights_resources_payment_evaluation_signals
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/radar/value_list_items

List all value list items

Returns a list of ValueListItem objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

Request parameters

ParameterLocationTypeDescription
createdqueryone of multiple schemasOnly return items that were created during the given date interval.
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
valuequerystringReturn items belonging to the parent list whose value matches the specified value (using an "is like" match).
value_listquerystringIdentifier for the parent value list this item belongs to.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of radar.value_list_item
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/radar/value_list_items

Create a value list item

Creates a new ValueListItem object, which is added to the specified parent value list.

Request parameters

FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.
value requiredstringThe value of the item (whose type must match the type of the parent value list).
value_list requiredstringThe identifier of the value list which the created item will be added to.

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
created_by requiredstringThe name or email address of the user who added this item to the value list.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
value requiredstringThe value of the item.
value_list requiredstringThe identifier of the value list this item belongs to.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/radar/value_lists

List all value lists

Returns a list of ValueList objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

Request parameters

ParameterLocationTypeDescription
aliasquerystringThe alias used to reference the value list when writing rules.
containsquerystringA value contained within a value list - returns all value lists containing this value.
createdqueryone of multiple schemasOnly return value lists that were created during the given date interval.
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of radar.value_list
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/radar/value_lists

Create a value list

Creates a new ValueList object, which can then be referenced in rules.

Request parameters

FieldTypeDescription
alias requiredstringThe name of the value list for use in rules.
expandarray of stringSpecifies which fields in the response should be expanded.
item_typestringType of the items in the value list. One of `card_fingerprint`, `card_bin`, `crypto_fingerprint`, `email`, `ip_address`, `country`, `string`, `case_sensitive_string`, `customer_id`, `account`, `sepa_debit_fingerprint`, or `us_bank_account_fingerprint`. Use `string` if the item type is unknown or mixed.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
name requiredstringThe human-readable name of the value list.

Responses

HTTP 200: Successful response.
FieldTypeDescription
alias requiredstringThe name of the value list for use in rules.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
created_by requiredstringThe name or email address of the user who created this value list.
id requiredstringUnique identifier for the object.
item_type requiredstringThe type of items in the value list. One of `card_fingerprint`, `card_bin`, `crypto_fingerprint`, `email`, `ip_address`, `country`, `string`, `case_sensitive_string`, `customer_id`, `account`, `sepa_debit_fingerprint`, or `us_bank_account_fingerprint`.
list_items requiredobjectList of items contained within this value list.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadata requiredobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
name requiredstringThe name of the value list.
object requiredstringString representing the object's type. Objects of the same type share the same value.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/radar/early_fraud_warnings/{early_fraud_warning}

Retrieve an early fraud warning

Retrieves the details of an early fraud warning that has previously been created. Please refer to the early fraud warning object reference for more details.

Request parameters

ParameterLocationTypeDescription
early_fraud_warningpathstring
expandqueryarray of stringSpecifies which fields in the response should be expanded.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
actionable requiredbooleanAn EFW is actionable if it has not received a dispute and has not been fully refunded. You may wish to proactively refund a charge that receives an EFW, in order to avoid receiving a dispute later.
charge requiredone of multiple schemasID of the charge this early fraud warning is for, optionally expanded.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
fraud_type requiredstringThe type of fraud labelled by the issuer. One of `card_never_received`, `fraudulent_card_application`, `made_with_counterfeit_card`, `made_with_lost_card`, `made_with_stolen_card`, `misc`, `unauthorized_use_of_card`.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
payment_intentone of multiple schemasID of the Payment Intent this early fraud warning is for, optionally expanded.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
DELETE /v1/radar/value_list_items/{item}

Delete a value list item

Deletes a ValueListItem object, removing it from its parent value list.

Request parameters

ParameterLocationTypeDescription
itempathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
deleted requiredbooleanAlways true for a deleted object
id requiredstringUnique identifier for the object.
object requiredstringString representing the object's type. Objects of the same type share the same value.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/radar/value_list_items/{item}

Retrieve a value list item

Retrieves a ValueListItem object.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
itempathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
created_by requiredstringThe name or email address of the user who added this item to the value list.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
value requiredstringThe value of the item.
value_list requiredstringThe identifier of the value list this item belongs to.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
DELETE /v1/radar/value_lists/{value_list}

Delete a value list

Deletes a ValueList object, also deleting any items contained within the value list. To be deleted, a value list must not be referenced in any rules.

Request parameters

ParameterLocationTypeDescription
value_listpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
deleted requiredbooleanAlways true for a deleted object
id requiredstringUnique identifier for the object.
object requiredstringString representing the object's type. Objects of the same type share the same value.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/radar/value_lists/{value_list}

Retrieve a value list

Retrieves a ValueList object.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
value_listpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
alias requiredstringThe name of the value list for use in rules.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
created_by requiredstringThe name or email address of the user who created this value list.
id requiredstringUnique identifier for the object.
item_type requiredstringThe type of items in the value list. One of `card_fingerprint`, `card_bin`, `crypto_fingerprint`, `email`, `ip_address`, `country`, `string`, `case_sensitive_string`, `customer_id`, `account`, `sepa_debit_fingerprint`, or `us_bank_account_fingerprint`.
list_items requiredobjectList of items contained within this value list.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadata requiredobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
name requiredstringThe name of the value list.
object requiredstringString representing the object's type. Objects of the same type share the same value.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/radar/value_lists/{value_list}

Update a value list

Updates a ValueList object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Note that item_type is immutable.

Request parameters

ParameterLocationTypeDescription
value_listpathstring
FieldTypeDescription
aliasstringThe name of the value list for use in rules.
expandarray of stringSpecifies which fields in the response should be expanded.
metadataobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
namestringThe human-readable name of the value list.

Responses

HTTP 200: Successful response.
FieldTypeDescription
alias requiredstringThe name of the value list for use in rules.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
created_by requiredstringThe name or email address of the user who created this value list.
id requiredstringUnique identifier for the object.
item_type requiredstringThe type of items in the value list. One of `card_fingerprint`, `card_bin`, `crypto_fingerprint`, `email`, `ip_address`, `country`, `string`, `case_sensitive_string`, `customer_id`, `account`, `sepa_debit_fingerprint`, or `us_bank_account_fingerprint`.
list_items requiredobjectList of items contained within this value list.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadata requiredobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
name requiredstringThe name of the value list.
object requiredstringString representing the object's type. Objects of the same type share the same value.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors